# org.pdfclown.objects.PdfDate Class Reference

PDF date object [PDF:1.6:3.8.3]. More...

Inheritance diagram for org.pdfclown.objects.PdfDate:

List of all members.

## Public Types
enum | SerializationModeEnum { Literal, Hex }
| String serialization mode. More...
## Public Member Functions
override PdfObject | Accept (IVisitor visitor, object data)
override int | CompareTo (PdfDirectObject obj)
| PdfDate (DateTime value)
byte[] | ToByteArray ()
| Gets the buffer data copied to a newly-allocated byte array.
override string | ToString ()
override void | WriteTo (IOutputStream stream, files.File context)
## Static Public Member Functions
static PdfDate | Get (DateTime?value)
| Gets the object equivalent to the given value.
static DateTime | ToDate (string value)
| Converts a PDF date literal into its corresponding date.
## Static Public Attributes
static readonly PdfString | Default = new PdfString("")
## Properties
override SerializationModeEnum | SerializationMode`[get, set]`
| Gets/Sets the serialization mode.
string | StringValue`[get]`
override object | Value`[get, set]`

##

PDF date object [PDF:1.6:3.8.3].

## Member Enumeration Documentation

enum org::pdfclown::objects::PdfString::SerializationModeEnum`[inherited]`

String serialization mode.

Enumerator:

  Literal | Plain form.
  Hex | Hexadecimal form.

## Constructor & Destructor Documentation

org.pdfclown.objects.PdfDate.PdfDate | ( | DateTime | value | ) |

## Member Function Documentation

override PdfObject org.pdfclown.objects.PdfDate.Accept | ( | IVisitor | visitor,
|  | object | data |
| ) |  |  |

Reimplemented from org.pdfclown.objects.PdfString.

References org.pdfclown.objects.IVisitor.Visit().

override int org.pdfclown.objects.PdfString.CompareTo | ( | PdfDirectObject | obj | ) | `[inherited]`

static PdfDate org.pdfclown.objects.PdfDate.Get | ( | DateTime? | value | ) | `[static]`

Gets the object equivalent to the given value.

byte [] org.pdfclown.objects.PdfString.ToByteArray | ( |  | ) | `[inherited]`

Gets the buffer data copied to a newly-allocated byte array.

Implements org.pdfclown.util.IDataWrapper.

static DateTime org.pdfclown.objects.PdfDate.ToDate | ( | string | value | ) | `[static]`

Converts a PDF date literal into its corresponding date.

Exceptions:

  | org.pdfclown.util.parsers.ParseException | Thrown when date literal parsing fails.

override string org.pdfclown.objects.PdfString.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.objects.PdfString.WriteTo | ( | IOutputStream | stream,
|  | files.File | context |
| ) |  |  | `[inherited]`

References org.pdfclown.bytes.IOutputStream.Write().

## Member Data Documentation

readonly PdfString org.pdfclown.objects.PdfString.Default = new PdfString("")`[static, inherited]`

Reimplemented in org.pdfclown.objects.PdfTextString.

## Property Documentation

override SerializationModeEnum org.pdfclown.objects.PdfDate.SerializationMode`[get, set]`

Gets/Sets the serialization mode.

Reimplemented from org.pdfclown.objects.PdfString.

string org.pdfclown.objects.PdfString.StringValue`[get, inherited]`

override object org.pdfclown.objects.PdfDate.Value`[get, set]`

Reimplemented from org.pdfclown.objects.PdfString.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.